### Class

# Foundry JsonListLlmResource

#### Description

    final class Foundry.JsonListLlmResource : Foundry.LlmResource
    {
      /* No available fields */
    }

No description available.

#### Ancestors

- FoundryLlmResource
- GObject

#### Constructors

###### foundry_json_list_llm_resource_new

Createa a new LlmResource that will monitor changes to `model` and update the contents of the resource.

since: 1.1

#### Instance methods

##### Methods inherited from FoundryLlmResource (7)

###### foundry_llm_resource_dup_content_type

Gets the content type for the resource.

since: 1.1

###### foundry_llm_resource_dup_description

Gets the description for the resource.

since: 1.1

###### foundry_llm_resource_dup_name

Gets the name for the resource.

since: 1.1

###### foundry_llm_resource_dup_uri

Gets the URI for the resource.

since: 1.1

###### foundry_llm_resource_emit_changed

Emits the “changed” signal.

since: 1.1

###### foundry_llm_resource_load_bytes

Loads the bytes for the resource.

since: 1.1

###### foundry_llm_resource_load_json

If the content_type is “application/json” then the resource may implement this function to provide a JsonNode instead of a serialized byte buffer. This is helpful in situations where the protocol can pass structured information for JSON such as Model Context Protocol.

since: 1.1

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

##### Properties inherited from FoundryLlmResource (4)

###### Foundry.LlmResource:content-type

The content type of the resource.

###### Foundry.LlmResource:description

The description of the resource.

###### Foundry.LlmResource:name

The name of the resource.

###### Foundry.LlmResource:uri

The URI of the resource.

#### Signals

##### Signals inherited from FoundryLlmResource (1)

###### FoundryLlmResource::changed

Emitted when the resource has changed.

since: 1.1

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct FoundryJsonListLlmResourceClass {
      FoundryLlmResourceClass parent_class;

    }

No description available.

###### Class members

`parent_class: FoundryLlmResourceClass`

  No description available.